Subject: [mpls] I-D ACTION:draft-ietf-mpls-multicast-encaps-01.txt

From: [email-masked]
Date: Fri, 08 Sep 2006 10:50:01 -0400

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.
This draft is a work item of the Multiprotocol Label Switching Working Group of the IETF.

	Title		: MPLS Multicast Encapsulations
	Author(s)	: T. Eckert, et al.
	Filename	: draft-ietf-mpls-multicast-encaps-01.txt
	Pages		: 9
	Date		: 2006-9-8
	
RFC 3032 established two data link layer codepoints for MPLS: one to
indicate that the data link layer frame is carrying an MPLS unicast
packet, and the other to indicate that the data link layer frame is
carrying an MPLS multicast packet.  This specification updates
RFC3032 by redefining the meaning of these two codepoints.  The
former "multicast codepoint" is now to be used only on multiaccess
media, and it is to mean "the top label of the following label stack
is an upstream-assigned label".  The former "unicast codepoint" is to
be used in all other cases.  Whether the data link layer payload is a
unicast MPLS packet or a multicast MPLS packet is now to be
determined by looking up the top label, rather than by the codepoint.

RFC3032 does not specify the destination address to be placed in the
"MAC DA" field of an ethernet frame which carries an MPLS multicast
packet.  This document provides that specification.

This document updates RFC 3032 and RFC 4023.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-mpls-multicast-encaps-01.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of 
the message. 
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then 
"get draft-ietf-mpls-multicast-encaps-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-mpls-multicast-encaps-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: <[email-masked]>
Date: Tue, 12 Sep 2006 13:06:43 +0100

Colleagues,

I have a question on draft-ietf-mpls-multicast-encaps-01.

The draft essentially redfines ethertype 0x8848 to mean "the top label
is an upstream assigned MPLS multicast label", so why in section 5, GRE
if all the encapsulated MPLS packets have an upstream assigned label is
the Ethertype set to 0x8847?

Ben

[email-masked] <mailto:[email-masked]> wrote:
> A New Internet-Draft is available from the on-line
> Internet-Drafts directories.
Pages		: 9
> 	Date		: 2006-9-8
> 
> RFC 3032 established two data link layer codepoints for MPLS:
> one to indicate that the data link layer frame is carrying an
> MPLS unicast packet, and the other to indicate that the data
> link layer frame is carrying an MPLS multicast packet.  This
> specification updates RFC3032 by redefining the meaning of these two
> codepoints. 
> The former "multicast codepoint" is now to be used only on
> multiaccess media, and it is to mean "the top label of the
> following label stack is an upstream-assigned label".  The
> former "unicast codepoint" is to be used in all other cases.
> Whether the data link layer payload is a unicast MPLS packet
> or a multicast MPLS packet is now to be determined by looking
> up the top label, rather than by the codepoint.
> 
> RFC3032 does not specify the destination address to be placed
> in the "MAC DA" field of an ethernet frame which carries an
> MPLS multicast packet.  This document provides that specification.
> 
> To remove yourself from the I-D Announcement list, send a
> message to [email-masked] with the word
> unsubscribe in the body of the message.
> Internet-Drafts are also available by anonymous FTP. Login
> with the username "anonymous" and a password of your e-mail
> address. After logging in, type "cd internet-drafts" and then
> http://www.ietf.org/shadow.html or
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Below is the data which will enable a MIME compliant mail
> reader implementation to automatically retrieve the ASCII
> version of the Internet-Draft.

---

From: Eric Rosen <[email-masked]>
Date: Wed, 20 Sep 2006 15:10:59 -0400

> the Ethertype set to 0x8847?

A very good question.   I think what I originally had in  mind was that 8847
is used  when all the labels  are of the  same type, and the  combination of
8847 and  8848 is used when there  are labels of both  types.  However, that
really doesn't seem to make any sense.

After some discussion  among the co-authors, we are  inclined to change this
so that 8847  is used for downstream-assigned labels  and 8848 for upstream-
assigned labels, irrespective of whether it is known apriori that the tunnel
carries only one of the two categories of label.

If it is known apriori that all  the packets on a GRE tunnel carry upstream-
assigned labels,  then a  packet with  the 8847 codepoint  would then  be an
error, and should be discarded.

The text of the draft will be adjusted.